Package ru.bitel.bgbilling.modules.rscm.common.bean

# Class RSCMContractServiceInstallment

java.lang.Object
ru.bitel.bgbilling.modules.rscm.common.bean.RSCMContractServiceInstallment

public class RSCMContractServiceInstallment extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RSCMContractServiceInstallment.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RSCMContractServiceInstallment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RSCMContractServiceInstallment.Builder`
  `builder()`
  `int`
  `getAmountDown()`
  `int`
  `getAmountUp()`
  `int`
  `getContractId()`
  `LocalDate`
  `getDateFrom()`
  `LocalDate`
  `getDateNext()`
  `int`
  `getId()`
  `String`
  `getInstallment()`
  `int`
  `getPaymentCount()`
  `int`
  `getServiceId()`
  `RSCMContractServiceInstallmentStatus`
  `getStatus()`
  `void`
  `setAmountDown(int amountDown)`
  `void`
  `setAmountUp(int amountUp)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDateFrom(LocalDate dateFrom)`
  `void`
  `setDateNext(LocalDate dateNext)`
  `void`
  `setId(int id)`
  `void`
  `setInstallment(String installment)`
  `void`
  `setPaymentCount(int paymentCount)`
  `void`
  `setServiceId(int serviceId)`
  `void`
  `setStatus(RSCMContractServiceInstallmentStatus status)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RSCMContractServiceInstallment

    public RSCMContractServiceInstallment()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId(int serviceId)

  - ### getStatus

    public RSCMContractServiceInstallmentStatus getStatus()

  - ### setStatus

    public void setStatus(RSCMContractServiceInstallmentStatus status)

  - ### getDateFrom

    public LocalDate getDateFrom()

  - ### setDateFrom

    public void setDateFrom(LocalDate dateFrom)

  - ### getDateNext

    public LocalDate getDateNext()

  - ### setDateNext

    public void setDateNext(LocalDate dateNext)

  - ### getAmountUp

    public int getAmountUp()

  - ### setAmountUp

    public void setAmountUp(int amountUp)

  - ### getAmountDown

    public int getAmountDown()

  - ### setAmountDown

    public void setAmountDown(int amountDown)

  - ### getPaymentCount

    public int getPaymentCount()

  - ### setPaymentCount

    public void setPaymentCount(int paymentCount)

  - ### getInstallment

    public String getInstallment()

  - ### setInstallment

    public void setInstallment(String installment)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### builder

    public static RSCMContractServiceInstallment.Builder builder()